#include"Openssl_crypto.h"
class ECDHKeypair {
  uint8_t* private_key;
  uint8_t* public_key;
  static const int ECDH_PUBLIC_KEY_SIZE=2*SGX_ECP256_KEY_SIZE;
  static const int ECDH_PRIVATE_KEY_SIZE=SGX_ECP256_KEY_SIZE;
public:
  ECDHKeypair(): private_key(new int(ECDH_PRIVATE_KEY_SIZE)), public_key(new int(ECDH_PUBLIC_KEY_SIZE));
  uint32_t generate_keypair();

  uint32_t generate_keypair()
  {
    return ecdh_key_gen(public_key, public_key+SGX_ECP256_KEY_SIZE, private_key);
  }

}
