#include "Openssl_crypto.h"
#include "SymmetricEncryptionBox.h"
#include "HybridEncryptionBox.h"
class HybridEncryptionBox : public ECDHKeypair, public SymmetricEncryptionBox {
  public:
    HybridEncryptionBox(): ECDHKeypair(), SymmetricEncryptionBox();
    uint32_t get_public_key(uint8_t* blank_key);
    unsigned long initialize_symmetric_key(uint8_t* given_public_key);
};
